Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meterware.httpunit
Class AuthorizationRequiredException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.meterware.httpunit.AuthorizationRequiredException

All Implemented Interfaces:
  Serializable

public class AuthorizationRequiredException
extends RuntimeException

This exception is thrown when an unauthorized request is made for a page that requires authentication.

See Also:
  Serialized Form

Constructor Summary
`protected` | `AuthorizationRequiredException(String scheme, String params)`

Method Summary
`String` | `getAuthenticationParameter(String parameterName)` Returns the named authentication parameter.
`String` | `getAuthenticationScheme()` Returns the name of the authentication scheme.
`String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorizationRequiredException

    protected AuthorizationRequiredException(String scheme,
                                             String params)

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getAuthenticationScheme

    public String getAuthenticationScheme()

  Returns the name of the authentication scheme.

### getAuthenticationParameter

    public String getAuthenticationParameter(String parameterName)

  Returns the named authentication parameter. For Basic authentication, the only parameter is "realm".

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD